get
https://{hostname}/test-management/v3/functional/test-catalog/template
Returns the test catalog template used for creating conditions. To learn more, see Test Center concepts and Example: create a condition.
Returns the test catalog template used for creating conditions. To learn more, see Test Center concepts and Example: create a condition.
xxxxxxxxxxcurl --request GET \--url https://hostname/test-management/v3/functional/test-catalog/template \--header 'accept: application/json'
xxxxxxxxxx1538}{"conditionTypes": [{"conditionExpressions": [{"conditionExpression": "Response code is one of \"responseCodes\"","examples": ["Response code is one of \"401, 403, 404, 500, 501, 502\"","Response code is one of \"200\""]}],"conditionType": "RESPONSE_CODE","label": "Response code","placeHolders": [{"availableValues": [200,300,400,500],"isCustomValueSupported": true,"placeHolder": "responseCodes","valueDataType": "INTEGER","valueInputType": "MULTIPLE_VALUE","valueSeparator": ","}]},{"conditionExpressions": [{"conditionExpression": "Response header \"headerName\" exists","examples": ["Response header \"enter a value\" exists"]},{"conditionExpression": "Response header \"headerName\" has a value","examples": ["Response header \"enter a value\" has a value"]},{"conditionExpression": "Response header \"headerName\" has no value","examples": ["Response header \"enter a value\" has no value"]